Ubuntu: apt-get install -f is removing packages installed by dpkg -i on ubuntu 17.10



Question:

I cannot install google chrome or any .deb(atom as well) package using dpkg and apt-get on NEW Install of Ubuntu 17.10 Desktop 64 bit.

$ sudo apt-get update    $ sudo apt-get upgrade    $ sudo apt-get dist-upgrade    $ sudo dpkg -i google-chrome-stable_current_amd64.deb  Selecting previously unselected package google-chrome-stable.  (Reading database ... 160951 files and directories currently installed.)  Preparing to unpack google-chrome-stable_current_amd64.deb ...  Unpacking google-chrome-stable (62.0.3202.94-1) ...  dpkg: dependency problems prevent configuration of google-chrome-stable:  google-chrome-stable depends on gconf-service; however:  Package gconf-service is not installed.  google-chrome-stable depends on libgconf-2-4 (>= 3.2.5); however:  Package libgconf-2-4 is not installed.  google-chrome-stable depends on libappindicator1; however:  Package libappindicator1 is not installed.    dpkg: error processing package google-chrome-stable (--install):  dependency problems - leaving unconfigured  Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...  Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...  Processing triggers for mime-support (3.60ubuntu1) ...  Processing triggers for man-db (2.7.6.1-2) ...  Errors were encountered while processing:     google-chrome-stable    $ sudo apt-get install -f  Reading package lists... Done  Building dependency tree         Reading state information... Done  Correcting dependencies... Done  The following packages will be REMOVED:     google-chrome-stable  0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.  1 not fully installed or removed.  After this operation, 184 MB disk space will be freed.    Do you want to continue? [Y/n] y  (Reading database ... 161054 files and directories currently installed.)  Removing google-chrome-stable (62.0.3202.94-1) ...  Processing triggers for mime-support (3.60ubuntu1) ...  Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...  Processing triggers for man-db (2.7.6.1-2) ...  Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...  

Again :

$ sudo apt-get update    $ sudo apt-get upgrade    $ sudo apt-get dist-upgrade  

I am not able to solve this for any Package.
Please Help. Thanks!

Edit (Dec 5'17):

For Atom

$ sudo dpkg -i atom-amd64.deb   Selecting previously unselected package atom.  (Reading database ... 160951 files and directories currently installed.)  Preparing to unpack atom-amd64.deb ...  Unpacking atom (1.22.1) ...  dpkg: dependency problems prevent configuration of atom:   atom depends on git; however:    Package git is not installed.   atom depends on gconf2; however:    Package gconf2 is not installed.   atom depends on gconf-service; however:    Package gconf-service is not installed.   atom depends on python; however:    Package python is not installed.    dpkg: error processing package atom (--install):   dependency problems - leaving unconfigured  Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...  Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...  Processing triggers for mime-support (3.60ubuntu1) ...  Errors were encountered while processing:   atom    $ sudo apt-get install -f  Reading package lists... Done  Building dependency tree         Reading state information... Done  Correcting dependencies... Done  The following packages will be REMOVED:    atom  0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.  1 not fully installed or removed.  After this operation, 459 MB disk space will be freed.  Do you want to continue? [Y/n] y  (Reading database ... 168278 files and directories currently installed.)  Removing atom (1.22.1) ...  Processing triggers for mime-support (3.60ubuntu1) ...  Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...  Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...  

Hash Sum mismatch with apt-get upate

$ sudo apt-get update  Get:2 http://security.ubuntu.com/ubuntu artful-security InRelease [78.6 kB]  Get:3 http://in.archive.ubuntu.com/ubuntu artful-updates InRelease [78.6 kB]  Get:4 http://in.archive.ubuntu.com/ubuntu artful-backports InRelease [72.2 kB]   Get:1 http://in.archive.ubuntu.com/ubuntu artful InRelease [237 kB]  Get:5 http://in.archive.ubuntu.com/ubuntu artful/main amd64 Packages [1,071 kB]  Get:6 http://in.archive.ubuntu.com/ubuntu artful/main i386 Packages [1,067 kB]  Get:7 http://in.archive.ubuntu.com/ubuntu artful/main Translation-en [542 kB]  Get:8 http://in.archive.ubuntu.com/ubuntu artful/main amd64 DEP-11 Metadata [397 kB]  Get:9 http://in.archive.ubuntu.com/ubuntu artful/main DEP-11 64x64 Icons [263 kB]  Get:10 http://in.archive.ubuntu.com/ubuntu artful/restricted amd64 Packages [8,852 B]  Get:11 http://in.archive.ubuntu.com/ubuntu artful/restricted i386 Packages [8,876 B]  Get:12 http://in.archive.ubuntu.com/ubuntu artful/restricted Translation-en [2,788 B]  Get:13 http://in.archive.ubuntu.com/ubuntu artful/universe i386 Packages [8,066 kB]  Get:14 http://in.archive.ubuntu.com/ubuntu artful/universe amd64 Packages [8,103 kB]  Get:15 http://in.archive.ubuntu.com/ubuntu artful/universe Translation-en [4,789 kB]  Get:16 http://in.archive.ubuntu.com/ubuntu artful/universe amd64 DEP-11 Metadata [2,845 kB]  Get:17 http://in.archive.ubuntu.com/ubuntu artful/universe DEP-11 64x64 Icons [7,915 kB]  Get:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages [143 kB]  Get:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages [143 kB]  Get:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages [143 kB]  Get:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages [143 kB]  Get:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages [143 kB]  Err:18 http://in.archive.ubuntu.com/ubuntu artful/multiverse i386 Packages         Hash Sum mismatch    Hashes of expected file:     - Filesize:142776 [weak]     - SHA256:d1f9e7ec6489f3540ddd3399c345799e46d2e1213570f510ca41bd12d5b9407e     - SHA1:16f5314466b815e49a6b53124ba88bd434304b9e [weak]     - MD5Sum:c7b94987695731eb16b07c5bb0c8311d [weak]    Hashes of received file:     - SHA256:8da861b95323d6b98fdcc24324eee84baa90aa6159cf9b7134fe81432639e14e     - SHA1:9ecda16f6e859d480eacde0b06800c58f7d7a43e [weak]     - MD5Sum:f8c8486e5ab253cb02209022ff3d0dc1 [weak]     - Filesize:142776 [weak]    Last modification reported: Wed, 18 Oct 2017 08:50:51 +0000    Release file created at: Thu, 19 Oct 2017 12:55:45 +0000  Fetched 609 kB in 5s (114 kB/s)                                  Reading package lists... Done  E: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/artful/multiverse/binary-i386/by-hash/SHA256/d1f9e7ec6489f3540ddd3399c345799e46d2e1213570f510ca41bd12d5b9407e  Hash Sum mismatch     Hashes of expected file:      - Filesize:142776 [weak]      - SHA256:d1f9e7ec6489f3540ddd3399c345799e46d2e1213570f510ca41bd12d5b9407e      - SHA1:16f5314466b815e49a6b53124ba88bd434304b9e [weak]      - MD5Sum:c7b94987695731eb16b07c5bb0c8311d [weak]     Hashes of received file:      - SHA256:8da861b95323d6b98fdcc24324eee84baa90aa6159cf9b7134fe81432639e14e      - SHA1:9ecda16f6e859d480eacde0b06800c58f7d7a43e [weak]      - MD5Sum:f8c8486e5ab253cb02209022ff3d0dc1 [weak]      - Filesize:142776 [weak]     Last modification reported: Wed, 18 Oct 2017 08:50:51 +0000     Release file created at: Thu, 19 Oct 2017 12:55:45 +0000  E: Some index files failed to download. They have been ignored, or old ones used instead.  

Even apt-get is not installing.

$ sudo apt-get install git  Reading package lists... Done  Building dependency tree         Reading state information... Done  Package git is not available, but is referred to by another package.  This may mean that the package is missing, has been obsoleted, or  is only available from another source  

SOLVED

$ sudo apt-get update -o Acquire::CompressionTypes::Order::=gz  

https://blog.packagecloud.io/eng/2016/03/21/apt-hash-sum-mismatch/

Thanks


Solution:1

Try 'sudo apt-get autoremove' 'sudo apt-get clean' and 'sudo apt-get autoclean' then try again the process you were realizing.


Solution:2

The hash sum mismatch error has a good answer's in Trouble downloading packages list due to a “Hash sum mismatch” error.

If only a few files have a hash sum mismatch, the first command can be made more specific. The basic steps are to run the following code block:

sudo rm -rf /var/lib/apt/lists/*  sudo apt-get update  sudo apt-get upgrade  

If the problems with installing chrome persist, How to install Google Chrome may help.


Solution:3

Dpkg does not solve dependencies. Whenever you want install an application packaged in .deb, that is not in the repositories. I suggest you use gdebi.

sudo apt update  sudo apt autoremove  sudo apt clean  sudo apt install --reinstall gdebi  

Afterwards from the file browser, right click and select install with gdebi

If apt install --reinstall gdebi is giving E: Unable to locate package gdebi, replace the contents of /etc/apt/sources.list with the following and retry installing gdebi

deb http://us.archive.ubuntu.com/ubuntu/ artful main restricted  deb-src http://us.archive.ubuntu.com/ubuntu/ artful main restricted  deb http://us.archive.ubuntu.com/ubuntu/ artful-updates main restricted  deb-src http://us.archive.ubuntu.com/ubuntu/ artful-updates main restricted  deb http://us.archive.ubuntu.com/ubuntu/ artful universe  deb-src http://us.archive.ubuntu.com/ubuntu/ artful universe  deb http://us.archive.ubuntu.com/ubuntu/ artful-updates universe  deb-src http://us.archive.ubuntu.com/ubuntu/ artful-updates universe  deb http://us.archive.ubuntu.com/ubuntu/ artful multiverse  deb-src http://us.archive.ubuntu.com/ubuntu/ artful multiverse  deb http://us.archive.ubuntu.com/ubuntu/ artful-updates multiverse  deb-src http://us.archive.ubuntu.com/ubuntu/ artful-updates multiverse  deb http://us.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse  deb-src http://us.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse  deb http://uschive.canonical.com/ubuntu artful partner  deb-src http://uschive.canonical.com/ubuntu artful partner  deb http://security.ubuntu.com/ubuntu artful-security main restricted  deb-src http://security.ubuntu.com/ubuntu artful-security main restricted  deb http://security.ubuntu.com/ubuntu artful-security universe  deb-src http://security.ubuntu.com/ubuntu artful-security universe  deb http://security.ubuntu.com/ubuntu artful-security multiverse  deb-src http://security.ubuntu.com/ubuntu artful-security multiverse  deb http://us.archive.ubuntu.com/ubuntu/ artful-proposed restricted universe multiverse main  

Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »